Signature.BaseTypeSig (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile, interface: Signature, interface: BaseTypeSig
Keywords: java.lang.classfile.Signature.BaseTypeSig interface

Module java.base
Package java.lang.classfilePREVIEW

# Interface Signature.BaseTypeSig

All Superinterfaces:
  `SignaturePREVIEW`

Enclosing interface:
  `SignaturePREVIEW`

public static sealed interface Signature.BaseTypeSig extends SignaturePREVIEW
`BaseTypeSig` is a preview API of the Java platform.
Programs can only use `BaseTypeSig` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the signature of a primitive type or void

Since:
  22

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface java.lang.classfile.SignaturePREVIEW

  `Signature.ArrayTypeSigPREVIEW, Signature.BaseTypeSigPREVIEW, Signature.ClassTypeSigPREVIEW, Signature.RefTypeSigPREVIEW, Signature.ThrowableSigPREVIEW, Signature.TypeArgPREVIEW, Signature.TypeParamPREVIEW, Signature.TypeVarSigPREVIEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `baseType()`
  Returns the single-letter descriptor for the base type.
  `static Signature.BaseTypeSigPREVIEW`
  `of(char baseType)`
  Returns the signature of a primitive type or void.
  `static Signature.BaseTypeSigPREVIEW`
  `of(ClassDesc classDesc)`
  Returns the signature of a primitive type or void.

  ### Methods declared in interface java.lang.classfile.SignaturePREVIEW

  `signatureString`

- ## Method Details

  - ### baseType

    char baseType()
    Returns the single-letter descriptor for the base type.
    Returns:
      the single-letter descriptor for the base type

  - ### of

    static Signature.BaseTypeSigPREVIEW of(ClassDesc classDesc)
    Returns the signature of a primitive type or void.
    Parameters:
      `classDesc` - a symbolic descriptor for the base type, must correspond to a primitive type
    Returns:
      the signature of a primitive type or void

  - ### of

    static Signature.BaseTypeSigPREVIEW of(char baseType)
    Returns the signature of a primitive type or void.
    Parameters:
      `baseType` - the single-letter descriptor for the base type
    Returns:
      the signature of a primitive type or void